# -*- encoding: utf-8 -*-
"""
@File    : unicom_url.py
@Time    : 2022/6/23 9:50
@Author  : stephen
@Email   : zhangdongming@asj6.wecom.work
@Software: PyCharm
"""
from django.urls import re_path

from Controller.UnicomCombo import UnicomComboController, UnicomComboPayNotifyController, UnicomComboTaskController
from AdminController import UnicomManageController
from Controller.UnicomCombo.WXTechController import WXTechController

urlpatterns = [
    re_path(r'^api/(?P<operation>.*)$', UnicomComboController.UnicomComboView.as_view()),
    re_path(r'^wap/pay/(?P<operation>.*)$', UnicomComboPayNotifyController.UnicomComboPayNotifyView.as_view()),
    re_path(r'^combo/cron/(?P<operation>.*)$', UnicomComboTaskController.UnicomComboTaskView.as_view()),
    re_path(r'^manage/(?P<operation>.*)$',UnicomManageController.UnicomManageControllerView.as_view()),
    re_path(r'^open/wxtech/(?P<operation>.*)$', WXTechController.SmartSocketView.as_view()),
]
